
package webservices;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "TaskWSImplementationService", targetNamespace = "http://webservices/", wsdlLocation = "http://156.35.98.163:8081/AppSW/soapws/task?wsdl")
public class TaskWSImplementationService
    extends Service
{

    private final static URL TASKWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    private final static WebServiceException TASKWSIMPLEMENTATIONSERVICE_EXCEPTION;
    private final static QName TASKWSIMPLEMENTATIONSERVICE_QNAME = new QName("http://webservices/", "TaskWSImplementationService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://156.35.98.163:8081/AppSW/soapws/task?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        TASKWSIMPLEMENTATIONSERVICE_WSDL_LOCATION = url;
        TASKWSIMPLEMENTATIONSERVICE_EXCEPTION = e;
    }

    public TaskWSImplementationService() {
        super(__getWsdlLocation(), TASKWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public TaskWSImplementationService(WebServiceFeature... features) {
        super(__getWsdlLocation(), TASKWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public TaskWSImplementationService(URL wsdlLocation) {
        super(wsdlLocation, TASKWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public TaskWSImplementationService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, TASKWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public TaskWSImplementationService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public TaskWSImplementationService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns ITaskWS
     */
    @WebEndpoint(name = "TaskWSImplementationPort")
    public ITaskWS getTaskWSImplementationPort() {
        return super.getPort(new QName("http://webservices/", "TaskWSImplementationPort"), ITaskWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ITaskWS
     */
    @WebEndpoint(name = "TaskWSImplementationPort")
    public ITaskWS getTaskWSImplementationPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://webservices/", "TaskWSImplementationPort"), ITaskWS.class, features);
    }

    private static URL __getWsdlLocation() {
        if (TASKWSIMPLEMENTATIONSERVICE_EXCEPTION!= null) {
            throw TASKWSIMPLEMENTATIONSERVICE_EXCEPTION;
        }
        return TASKWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    }

}
